> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunswapsstream.md).

# GetPumpFunSwapsStream

### Subscribe

#### Method

```
GetPumpFunSwapsStream
```

#### Parameters:

<table><thead><tr><th width="202.71896910191123">Parameter</th><th width="136">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>tokens</code></td><td>repeated string</td><td>A list of tokens to track swap events. Please provide token addresses instead of token symbols.</td></tr></tbody></table>

#### Subscribe sample:

{% tabs %}
{% tab title="WebSocket" %}

```bash
wscat -H "Authorization:$AUTH_HEADER" -c wss://pump-ny.solana.dex.blxrbdn.com/ws --wait 1000 --execute '{"jsonrpc": "2.0", "id": 1, "method": "subscribe", "params": [  "GetPumpFunSwapsStream", {"tokens":["2nGeHVJKXV8tZ7ZFwGCH5uGYQVxWejQMDkHUAECFpump"]} ]}'
```

{% endtab %}
{% endtabs %}

**Event Result Details:**

<table><thead><tr><th width="178">Field</th><th width="180">Type</th><th width="419.58916051319363">Description</th></tr></thead><tbody><tr><td><code>slot</code></td><td>int64</td><td>The slot number</td></tr><tr><td><code>txnHash</code></td><td>string</td><td>Transaction information of the found transaction</td></tr><tr><td><code>mintAddress</code></td><td>string</td><td>Meta information of the found transaction</td></tr><tr><td><code>userAddress</code></td><td>string</td><td>Swap transaction owner's address.</td></tr><tr><td><code>userTokenAccountAddress</code></td><td>string</td><td>Swap transaction owner's token address.</td></tr><tr><td><code>bondingCurveAddress</code></td><td>string</td><td>Bonding Cureve program address.</td></tr><tr><td><code>tokenVaultAddress</code></td><td>string</td><td>Token valut program address.</td></tr><tr><td><code>solAmount</code></td><td>unit64</td><td>SOL amount in this swap transaction. In lamport.</td></tr><tr><td><code>tokenAmount</code></td><td>unit64</td><td>Token amount in this swap transaction. Unit is based on token decimal.</td></tr><tr><td><code>isBuy</code></td><td>boolean</td><td>Identify if the transaction is a token purchase transaction.</td></tr><tr><td><code>virtualSolReserves</code></td><td>unit64</td><td>Amount of virtual SOL reserve.</td></tr><tr><td><code>virtualTokenReserves</code></td><td>unit64</td><td>Amount of virtual Token reserve.</td></tr><tr><td><code>creator</code></td><td>string</td><td>The token creator address.</td></tr><tr><td><code>timestamp</code></td><td>google.protobuf.Timestamp</td><td>Time stamp of the event.</td></tr></tbody></table>

Sample event:

```json
{
  "jsonrpc":"2.0",
  "method":"subscribe",
  "params":{
    "subscription":"a8d3b82e-6e2c-4631-8b53-0ff4a2292530",
    "result":{
      "slot":"339822983",
      "txnHash":"2gBJ7iiEGPYzjiJXoVqd7UvLzQWgnb94t99bWu4B1WD6qdUAZNUXEAdWthViKWA6BkTaFWmqivc43FQqqDL7oRdE","mintAddress":"2nGeHVJKXV8tZ7ZFwGCH5uGYQVxWejQMDkHUAECFpump",
      "userAddress":"3WJqDiQdyeZBpwFGMVd6AG3UXodwGjtvZMRLG7urnPEc",
      "userTokenAccountAddress":"EDnqaZMhAezighoSeYHDqozJLR2GbGwR2sPVUnRzmhRL",
      "bondingCurveAddress":"2AWNkXawcUes2Vdhk2zsECsda1535dbi3Lu8BbwG3knJ",
      "tokenVaultAddress":"DUqSefi8ktNab2UXsLqhUbVhZ5EYtVUQym1obfhCKk6E",
      "solAmount":"49004807",
      "tokenAmount":"438913413686",
      "isBuy":false,
      "virtualSolReserves":"59925670539",
      "virtualTokenReserves":"537165453949301",
      "timestamp":"2025-05-13T21:21:15.134205329Z",
      "creator":"AmNMqM5VbPwtG14gLBdtrqZpQrhSzavLkQPufS8CQ7LB"
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/solana/trader-api/api-endpoints/pump.fun/getpumpfunswapsstream.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
